Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.nvdcve
Class InvalidDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.owasp.dependencycheck.data.nvdcve.InvalidDataException

All Implemented Interfaces:
  Serializable

    public class InvalidDataException

extends Exception

An InvalidDataDataException is a generic exception used when trying to load the nvd cve meta data.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`InvalidDataException(String msg)` Creates an InvalidDataException.
`InvalidDataException(String msg, Exception ex)` Creates an InvalidDataException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidDataException

    public InvalidDataException(String msg)

  Creates an InvalidDataException.

  Parameters:
    `msg` - the exception message

### InvalidDataException

    public InvalidDataException(String msg,
                                Exception ex)

  Creates an InvalidDataException.

  Parameters:
    `msg` - the exception message
    `ex` - the cause of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.